# Class LeafTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>

java.lang.Object
com.treemap.AbstractTreeMapNode<N,Row,Column,Color,Font>
com.treemap.LeafTreeMapNode<N,Row,Column,Color,Font>

Type Parameters:
  `N` - the type of nodes

All Implemented Interfaces:
  `MutableTreeMapNode<N,Column,Color,Font>, TreeMapNode<N,Column,Color,Font>, Comparable<N>`

public class LeafTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font> extends AbstractTreeMapNode<N,Row,Column,Color,Font> implements Comparable<N>
A leaf node.

- ## Field Summary

  ### Fields inherited from class AbstractTreeMapNode

  `model`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LeafTreeMapNode(Row row, TreeMapModel<N,Row,Column,Color,Font> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(N newChild)`
  `int`
  `compareTo(N o)`
  `boolean`
  `equals(Object o)`
  `N`
  `findChild(Object name)`
  `int`
  `getChildCount()`
  `Iterable<N>`
  `getChildren()`
  `TreeMapField<N,Column>`
  `getChildrenGroupByField()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `Iterable<N>`
  `getChildrenOfTypeParent()`
  `TreeMapField<N,Column>`
  `getGroupByField()`
  Returns the number of levels above this node -- the distance from the root to this node.
  `Object`
  `getNodeName()`
  The name of this node.
  `Row`
  `getRow()`
  Gets the row in the underlying TableModel, -1 if it doesn't relate to a leaf node.
  `double`
  `getSumSize()`
  `int`
  `hashCode()`
  `boolean`
  `hasNoChildren()`
  Tells whether this node contains children.
  `boolean`
  `isLeaf()`
  `void`
  `setSumSize(double size)`

  ### Methods inherited from class AbstractTreeMapNode

  `computeCushionColor, getBounds, getColor, getCushionColor, getCushionImage, getLabelName, getLevel, getNestedShape, getParent, getPath, getSelf, getShape, getSize, isRoot, normalizedToWorld, setColor, setNestedShape, setParent, setShape, setSize, toString, worldToNormalized`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LeafTreeMapNode

    public LeafTreeMapNode(Row row, TreeMapModel<N,Row,Column,Color,Font> model)

- ## Method Details

  - ### setSumSize

    public void setSumSize(double size)
    Specified by:
      `setSumSize` in interface `MutableTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color>`

  - ### getSumSize

    public double getSumSize()
    Specified by:
      `getSumSize` in interface `TreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color>`

  - ### getRow

    public Row getRow()
    Gets the row in the underlying TableModel, -1 if it doesn't relate to a leaf node.
    Specified by:
      `getRow` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`
    Returns:
      the row in the TableModel.

  - ### getChildCount

    public int getChildCount()
    Specified by:
      `getChildCount` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`

  - ### getGroupByField

    public TreeMapField<N,Column> getGroupByField()
    Description copied from interface: `TreeMapNode`
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Specified by:
      `getGroupByField` in interface `TreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color>`
    Returns:
      the number of levels above this node

  - ### getChildrenGroupByField

    public TreeMapField<N,Column> getChildrenGroupByField()
    Description copied from interface: `TreeMapNode`
    Returns the number of levels above this node -- the distance from the root to this node. If this node is the root, returns 0.
    Specified by:
      `getChildrenGroupByField` in interface `TreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color>`
    Returns:
      the number of levels above this node

  - ### getChildren

    public Iterable<N> getChildren()
    Specified by:
      `getChildren` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`

  - ### getChildrenOfTypeParent

    public Iterable<N> getChildrenOfTypeParent()
    Specified by:
      `getChildrenOfTypeParent` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`

  - ### add

    public void add(N newChild)
    Specified by:
      `add` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`

  - ### findChild

    public N findChild(Object name)
    Specified by:
      `findChild` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`

  - ### hasNoChildren

    public boolean hasNoChildren()
    Tells whether this node contains children.
    Specified by:
      `hasNoChildren` in interface `TreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color>`
    Returns:
      true if this node contains children, false otherwise

  - ### isLeaf

    public boolean isLeaf()
    Specified by:
      `isLeaf` in interface `TreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color>`

  - ### getNodeName

    public Object getNodeName()
    The name of this node.
    Specified by:
      `getNodeName` in class `AbstractTreeMapNode<N extends LeafTreeMapNode<N,Row,Column,Color,Font>, Row, Column, Color, Font>`
    Returns:
      the name of this node.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(N o)
    Specified by:
      `compareTo` in interface `Comparable<N extends LeafTreeMapNode<N,Row,Column,Color,Font>>`